IsRational Example |
Using Programming Languages other than VBA
Sub Example_IsRational() ' This example creates a spline object in model space. ' It then determines whether the spline is rational or non-rational ' based on the IsRational property. ' Create the spline Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll ' Display a message according to the IsRational value for the spline. If splineObj.IsRational Then MsgBox "The newly created Spline is a rational Spline", , "IsRational Example" Else MsgBox "The newly created Spline is a non-rational Spline", , "IsRational Example" End If End Sub
Comments? |